/*
 * This file is part of SpongeAPI, licensed under the MIT License (MIT).
 *
 * Copyright (c) SpongePowered <https://www.spongepowered.org>
 * Copyright (c) contributors
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 * THE SOFTWARE.
 */
package org.spongepowered.api.data.type;

import org.spongepowered.api.util.generator.dummy.DummyObjectProvider;

public final class PlantTypes {

    // SORTFIELDS:ON

    public static final PlantType ALLIUM = DummyObjectProvider.createFor(PlantType.class, "ALLIUM");

    public static final PlantType BLUE_ORCHID = DummyObjectProvider.createFor(PlantType.class, "BLUE_ORCHID");

    public static final PlantType DANDELION = DummyObjectProvider.createFor(PlantType.class, "DANDELION");

    public static final PlantType HOUSTONIA = DummyObjectProvider.createFor(PlantType.class, "HOUSTONIA");

    public static final PlantType ORANGE_TULIP = DummyObjectProvider.createFor(PlantType.class, "ORANGE_TULIP");

    public static final PlantType OXEYE_DAISY = DummyObjectProvider.createFor(PlantType.class, "OXEYE_DAISY");

    public static final PlantType PINK_TULIP = DummyObjectProvider.createFor(PlantType.class, "PINK_TULIP");

    public static final PlantType POPPY = DummyObjectProvider.createFor(PlantType.class, "POPPY");

    public static final PlantType RED_TULIP = DummyObjectProvider.createFor(PlantType.class, "RED_TULIP");

    public static final PlantType WHITE_TULIP = DummyObjectProvider.createFor(PlantType.class, "WHITE_TULIP");

    // SORTFIELDS:OFF

    // Suppress default constructor to ensure non-instantiability.
    private PlantTypes() {
        throw new AssertionError("You should not be attempting to instantiate this class.");
    }

}
